Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
[Java] Class Sync

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.Sync

    public class Sync
    extends AbstractCopyTask

Synchronises the contents of a destination directory with some source directories and files.

Constructor Summary
`Sync()`

Method Summary
`protected FileCopyActionImpl` | `getCopyAction()`
`File` | `getDestinationDir()` Returns the directory to copy files into.
`void` | `setDestinationDir(File destinationDir)` Sets the directory to copy files into.

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filter, filter, filter, from, from, getCopyAction, getDefaultSource, getDirMode, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Constructor Detail

### Sync

    public Sync()

Method Detail

### getCopyAction

    @Override
    protected FileCopyActionImpl getCopyAction()

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

  Returns the directory to copy files into.
  Returns:
    The destination dir.

### setDestinationDir

    public void setDestinationDir(File destinationDir)

  Sets the directory to copy files into. This is the same as calling into(Object) on this task.
  Parameters:
    `destinationDir` - The destination directory. Must not be null.

Gradle API 1.1-rc-1